Package org.drinkless.tdlib

# Class TdApi.GroupCallMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallMessage

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallMessage extends TdApi.Object
Represents a message sent in a group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeDeleted`
  True, if the message can be deleted by the current user; for live stories only.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the message was sent.
  `boolean`
  `isFromOwner`
  True, if the message is sent by the owner of the call and must be treated as a message of the maximum level; for live stories only.
  `int`
  `messageId`
  Unique message identifier within the group call.
  `long`
  `paidMessageStarCount`
  The number of Telegram Stars that were paid to send the message; for live stories only.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the message.
  `TdApi.FormattedText`
  `text`
  Text of the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallMessage()`
  Represents a message sent in a group call.
  `GroupCallMessage(int messageId, TdApi.MessageSender senderId, int date, TdApi.FormattedText text, long paidMessageStarCount, boolean isFromOwner, boolean canBeDeleted)`
  Represents a message sent in a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageId

    public int messageId
    Unique message identifier within the group call.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of the message.

  - ### date

    public int date
    Point in time (Unix timestamp) when the message was sent.

  - ### text

    public TdApi.FormattedText text
    Text of the message. If empty, then the message is a paid reaction in a live story.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The number of Telegram Stars that were paid to send the message; for live stories only.

  - ### isFromOwner

    public boolean isFromOwner
    True, if the message is sent by the owner of the call and must be treated as a message of the maximum level; for live stories only.

  - ### canBeDeleted

    public boolean canBeDeleted
    True, if the message can be deleted by the current user; for live stories only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallMessage

    public GroupCallMessage()
    Represents a message sent in a group call.

  - ### GroupCallMessage

    public GroupCallMessage(int messageId, TdApi.MessageSender senderId, int date, TdApi.FormattedText text, long paidMessageStarCount, boolean isFromOwner, boolean canBeDeleted)
    Represents a message sent in a group call.
    Parameters:
      `messageId` - Unique message identifier within the group call.
      `senderId` - Identifier of the sender of the message.
      `date` - Point in time (Unix timestamp) when the message was sent.
      `text` - Text of the message. If empty, then the message is a paid reaction in a live story.
      `paidMessageStarCount` - The number of Telegram Stars that were paid to send the message; for live stories only.
      `isFromOwner` - True, if the message is sent by the owner of the call and must be treated as a message of the maximum level; for live stories only.
      `canBeDeleted` - True, if the message can be deleted by the current user; for live stories only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR